<template>
  <div class="box space-y-5 p-3 md:p-7 ">
    <div>
      <span class="text-lg text-gray-500 font-semibold">Type: </span>
      <span class="text-base font-semibold"
        :class="observationNote.type === 'Appreciation Note' ? 'text-lime-500' : 'text-red-600'">{{ observationNote.type
        }}</span>
    </div>

    <div>
      <Icon icon="fa-solid fa-clock" class="text-lg text-gray-500 font-semibold mr-2"></Icon>
      <span class="text-lg text-gray-500 font-semibold">Observation made on: </span>
      <span class="text-base">{{ new Date(observationNote.created_at).toLocaleString() }}</span>
    </div>

    <div>
      <Icon icon="fa-solid fa-user" class="text-lg text-gray-500 font-semibold mr-2"></Icon>
      <span class="text-lg text-gray-500 font-semibold">Observer: </span>
      <span class="text-base">
        {{ observationNote.observer.name }} ({{ observationNote.observer.role.name }})
      </span>
    </div>

    <div>
      <Icon icon="fa-solid fa-user" class="text-lg text-gray-500 font-semibold mr-2"></Icon>
      <span class="text-lg text-gray-500 font-semibold">Subject: </span>
      <span class="text-base">
        {{ observationNote.subject.name }} ({{ observationNote.subject.role.name }})
      </span>
    </div>

    <div>
      <div class="text-base text-gray-500 font-semibold">
        Note
      </div>
      <textarea :value="observationNote.note" class="textarea-disabled w-full" disabled></textarea>
    </div>
  </div>
</template>

<script setup>
defineProps({
  observationNote: Object
})
</script>